<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gluon: checks/test_checks.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gluon
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_1abab4d757f86d382fea5dfa8cdf1fc3.html">checks</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">test_checks.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="checks_2greatest_8h_source.html">greatest.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="checks_8h_source.html">checks.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for test_checks.c:</div>
<div class="dyncontent">
<div class="center"><img src="test__checks_8c__incl.png" border="0" usemap="#checks_2test__checks_8c" alt=""/></div>
<map name="checks_2test__checks_8c" id="checks_2test__checks_8c">
<area shape="rect" id="node2" href="checks_2greatest_8h.html" title="greatest.h" alt="" coords="261,80,341,107"/>
<area shape="rect" id="node9" href="checks_8h.html" title="checks.h" alt="" coords="449,80,524,107"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:afd9de3bd45e21c99bf55b595e4be1127"><td class="memItemLeft" align="right" valign="top"><a class="el" href="list_2greatest_8h.html#ab946e2e7f7679350627acfded8e2658b">TEST</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="test__checks_8c.html#afd9de3bd45e21c99bf55b595e4be1127">test_checks</a> ()</td></tr>
<tr class="separator:afd9de3bd45e21c99bf55b595e4be1127"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2cc297af72e60a3bc2df7e6387c59bee"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="test__checks_8c.html#a2cc297af72e60a3bc2df7e6387c59bee">SUITE</a> (checks)</td></tr>
<tr class="separator:a2cc297af72e60a3bc2df7e6387c59bee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef7a8a5d9334dfd39adce9279e120378"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="test__checks_8c.html#aef7a8a5d9334dfd39adce9279e120378">GREATEST_MAIN_DEFS</a> ()</td></tr>
<tr class="separator:aef7a8a5d9334dfd39adce9279e120378"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c04138a5bfe5d72780bb7e82a18e627"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="test__checks_8c.html#a3c04138a5bfe5d72780bb7e82a18e627">main</a> (int argc, char **argv)</td></tr>
<tr class="separator:a3c04138a5bfe5d72780bb7e82a18e627"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="aef7a8a5d9334dfd39adce9279e120378"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef7a8a5d9334dfd39adce9279e120378">&#9670;&nbsp;</a></span>GREATEST_MAIN_DEFS()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GREATEST_MAIN_DEFS </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3c04138a5bfe5d72780bb7e82a18e627"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c04138a5bfe5d72780bb7e82a18e627">&#9670;&nbsp;</a></span>main()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int main </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>argc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char **&#160;</td>
          <td class="paramname"><em>argv</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2cc297af72e60a3bc2df7e6387c59bee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2cc297af72e60a3bc2df7e6387c59bee">&#9670;&nbsp;</a></span>SUITE()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SUITE </td>
          <td>(</td>
          <td class="paramtype">checks&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afd9de3bd45e21c99bf55b595e4be1127"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afd9de3bd45e21c99bf55b595e4be1127">&#9670;&nbsp;</a></span>test_checks()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="list_2greatest_8h.html#ab946e2e7f7679350627acfded8e2658b">TEST</a> test_checks </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
